commit:     b8b4dda3b110d9a415e78fdff1ae75861e6f00fe
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun May 28 13:56:58 2023 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun May 28 13:56:58 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b8b4dda3

games-strategy/wesnoth: add 1.17.17

Closes: https://bugs.gentoo.org/892762
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 games-strategy/wesnoth/Manifest               |   1 +
 games-strategy/wesnoth/wesnoth-1.17.17.ebuild | 102 ++++++++++++++++++++++++++
 2 files changed, 103 insertions(+)

diff --git a/games-strategy/wesnoth/Manifest b/games-strategy/wesnoth/Manifest
index 899e199d0e98..4105e896a19e 100644
--- a/games-strategy/wesnoth/Manifest
+++ b/games-strategy/wesnoth/Manifest
@@ -1,2 +1,3 @@
 DIST wesnoth-1.16.8.tar.gz 518468407 BLAKE2B 
9c224757e0d1727acc66a5421266fa6e050bb3727040b457379dd164097c88850f9b2d8b81422ff277548cb8cd51da70f5da63254c2c4ccedc3a45d1789c6037
 SHA512 
9e41e1c574c9744ba9818298d77df1503d7fc70ee24e4bf9d1f59ef17c2bc123f38f0aa21eddccce88cc28b62f2a2d12133ab25dd111655abf5b620f18457bf7
 DIST wesnoth-1.17.11.tar.bz2 421068195 BLAKE2B 
43106bb72c6b4a39b4995fb9804733e5420b636db08254e75e7698c58740b84a33c387194bf048247bddf1808f73d0d07b3816f18687390760fb5fab7c2d8449
 SHA512 
8208ae1c02d5e6a9fe50a2cf533d3b0b207151e5b877c98b003117641ae3c46ad31dbbe4bc46481f4f30382ae65b0183d7636452de5f6d42c8bd48d040f3dd5a
+DIST wesnoth-1.17.17.tar.bz2 423574966 BLAKE2B 
08bcc889333a74b45882f0b1a87960f333eb833c135429f19e3e5805206a45d6e890baa5b2b944d54e8aa088295bcf697c592d96703ee1fb49314e080f3949d8
 SHA512 
721edb885f5f215d679f50ae5ec34c11631771d248320617d55808580f4d1ab22d24b5a4e4001113ad8990b2e0f4e13d64a97a57de30d5453bd82e54ee7949aa

diff --git a/games-strategy/wesnoth/wesnoth-1.17.17.ebuild 
b/games-strategy/wesnoth/wesnoth-1.17.17.ebuild
new file mode 100644
index 000000000000..b4c9db3eeff1
--- /dev/null
+++ b/games-strategy/wesnoth/wesnoth-1.17.17.ebuild
@@ -0,0 +1,102 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake flag-o-matic xdg
+
+DESCRIPTION="Battle for Wesnoth - A fantasy turn-based strategy game"
+HOMEPAGE="http://www.wesnoth.org
+       https://github.com/wesnoth/wesnoth";
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+# uneven minor versions are development versions
+if [[ $(( $(ver_cut 2) % 2 )) == 0 ]] ; then
+       KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+fi
+IUSE="dbus dedicated doc nls server"
+
+RDEPEND="
+       acct-group/wesnoth
+       acct-user/wesnoth
+       dev-libs/boost:=[bzip2,context,icu,nls]
+       >=media-libs/libsdl2-2.0.4:0[joystick,video,X]
+       !dedicated? (
+               dev-libs/glib:2
+               dev-libs/openssl:0=
+               >=media-libs/fontconfig-2.4.1
+               >=media-libs/sdl2-image-2.0.0[jpeg,png,webp]
+               >=media-libs/sdl2-mixer-2.0.0[vorbis]
+               media-libs/libvorbis
+               >=x11-libs/pango-1.22.0
+               >=x11-libs/cairo-1.10.0
+               sys-libs/readline:0=
+               dbus? ( sys-apps/dbus )
+       )"
+DEPEND="${RDEPEND}
+       x11-libs/libX11
+"
+BDEPEND="
+       sys-devel/gettext
+       virtual/pkgconfig
+"
+
+src_prepare() {
+       cmake_src_prepare
+
+       if ! use doc ; then
+               sed -i \
+                       -e '/manual/d' \
+                       doc/CMakeLists.txt || die
+       fi
+
+       # respect LINGUAS (bug #483316)
+       if [[ ${LINGUAS+set} ]] ; then
+               local lang langs=()
+               for lang in $(cat po/LINGUAS) ; do
+                       has ${lang} ${LINGUAS} && langs+=( ${lang} )
+               done
+               echo "${langs[@]}" > po/LINGUAS || die
+       fi
+}
+
+src_configure() {
+       filter-flags -ftracer -fomit-frame-pointer
+
+       local mycmakeargs=()
+
+       if use dedicated || use server ; then
+               mycmakeargs+=(
+                       -DENABLE_CAMPAIGN_SERVER="ON"
+                       -DENABLE_SERVER="ON"
+                       -DSERVER_UID="${PN}"
+                       -DSERVER_GID="${PN}"
+                       -DFIFO_DIR="/run/wesnothd"
+                       )
+       else
+               mycmakeargs+=(
+                       -DENABLE_CAMPAIGN_SERVER="OFF"
+                       -DENABLE_SERVER="OFF"
+                       )
+       fi
+       mycmakeargs+=(
+               -Wno-dev
+               -DENABLE_GAME="$(usex !dedicated)"
+               -DENABLE_DESKTOP_ENTRY="$(usex !dedicated)"
+               -DENABLE_NLS="$(usex nls)"
+               -DENABLE_NOTIFICATIONS="$(usex dbus)"
+               -DENABLE_STRICT_COMPILATION="OFF"
+               )
+       cmake_src_configure
+}
+
+src_install() {
+       local DOCS=( README.md changelog.md )
+       cmake_src_install
+       if use dedicated || use server ; then
+               rmdir "${ED}"/run{/wesnothd,} || die
+               newinitd "${FILESDIR}"/wesnothd.rc-r1 wesnothd
+       fi
+}

Reply via email to